grommunio-setup-deb (1.6.20) stable; urgency=medium

  * Display welcome message earlier before any dependencies such as nginx
    etc are installed.
  * Open out certbot /etc/letsencrypt directory perms so that things work.
  * Add paragraph to optional features dialog so that its obvious it
    does not affect the core crommunio appliance install.
  * Convert "Installing dependencies" message into a writelog as it happens
    after the welcome screen.
  * Minor things - g-pkg-bits minimum version 22 and clearing screen on
    quit, getting rid of spurious apt output.
  * Fix where /etc/letsencrypt dir perms are fixed till after cert is first
    obtained.
  * Adjust progress messages and exit message.
  * Don't save Admin password to disk in clear text.  Prompt user to record
    it.
  * Revise progress messages again.  Starting with installing software, and
    more updates there.
  * Revert where to get rootCA.crt for fullCA install.
  * Add the ability to retry certbot LE to allow for Port 80 being blocked or
    DNS issues
  * Reblock start up, should be more consistent with later rewrite and
    restructure.
  * Final touches - progress bar stuff
  * Fix apt failure path - script should exit 1

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 06 Jul 2026 14:45:02 +1200

grommunio-setup-deb (1.6.1) stable; urgency=medium

  * Add ACME server URL arg for setting Lets Encrypt server URL

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 25 Jun 2026 13:01:28 +1200

grommunio-setup-deb (1.6) stable; urgency=medium

  * Release 1.6
  * Fix error processing for LE certificates
  * Fix error processing for '$?' as set -e is turned on.
  * Add 'set -e' so that g-setup exits on any errors, rether than
    processing further, and potentially making a mess.
  * Make LE error dialog only have 'Exit' as proceeding any further
    without any certificates installed is just going to be a mess, and
    probably error out futher into the setup.
  * Fix LE certificate progress messages.

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 24 Jun 2026 19:30:00 +1200

grommunio-setup-deb (1.5.3) stable; urgency=medium

  * Add veersioned dependency on grommunio-pkg-bits, at least ver 20
    required.

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 22 Jun 2026 11:34:56 +1200

grommunio-setup-deb (1.5.2) unstable; urgency=medium

  * Remove a lot of permission and ownership fixing code as its now causing
    problems, anp. with keycloak, and all the fixes have been included in
    current Debian packaging.

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 18 Jun 2026 19:10:29 +1200

grommunio-setup-deb (1.5.1) unstable; urgency=medium

  * Fix disabing nginx default config

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 18 Jun 2026 11:30:17 +1200

grommunio-setup-deb (1.5) unstable; urgency=medium

  * Shift to obs_gbp packaging, create debian dir
  * add debconf template registration.
  * add postinst and postrm scripts
  * initial cmdline processing and options set up debconf
  * Fill in grommunio-setup.config script
  * Add setup_preseed function
  * Create setup_options_debconf() function to install optional
    feature packages.
  * Fix typo in grommunio-setup script with jq here document
  * Fix issues with apt-get() function, service restart
  * Fix FQDN having possible newlines in it - makes jq barf
  * Remove debug code
  * Add missing debconf questions
  * Rename setup_preseed() -> setup_debconf_preseed()
  * Fix calc_option_pkg_select() return value issues
  * Resolve and tame apt-get() - have command line arguments
  * Move to using revamped install_packages() function
  * Enable --quiet, more verbose progress by default
  * Other command line arguments to preset values including admin
    password and DB password

 -- grommunio <dev@grommunio.com>  Wed, 17 Jun 2026 17:08:00 +1200

grommunio-setup-deb (1.2) unstable; urgency=medium

  * Initial Debian package.

 -- grommunio <dev@grommunio.com>  Thu, 17 Apr 2025 12:00:00 +0000
